<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<bean id="templateViewResolver"
		class="eu.dnetlib.springutils.stringtemplate.StringTemplateViewResolver"
		p:cache="${inspector.template.cache.enabled}" p:templateGroup-ref="templateGroup" p:contentType="text/html;charset=UTF-8" />

	<bean id="templateGroup" class="eu.dnetlib.springutils.stringtemplate.ClassPathStringTemplateGroup"
		p:refreshInterval="0" p:package="eu.dnetlib.enabling.views">
		<constructor-arg type="java.lang.String" value="inspector" />
	</bean>
	
	<bean id="dashboardInspectorGroup"
		class="eu.dnetlib.enabling.inspector.StaticEntryPointDescriptorGroup"
		p:name="dashboard">
		<property name="descriptors">
			<list>
				<bean class="eu.dnetlib.enabling.inspector.StaticEntryPointDescriptor"
					p:name="dashboard" p:relativeUrl="../inspector" />
			</list>
		</property>
	</bean>
	
	
</beans>
